# Welcome to PyStark

PyStark is a fast, easy-to-use tool for creating Telegram bots in Python that is completely powered by [Pyrogram](https://github.com/pyrogram/pyrogram), one of the best MTProto Frameworks available.

This documentation is designed primarily for absolute beginners, keeping in mind the specific needs of all major operating systems.


## Try out PyStark

Not convinced to use PyStark? Try it out first, using few small steps given in the quick-start section.

- [Quick Start](/introduction/quickstart) - Overview to get you started quickly.


## How the Documentation is Organized

- [Installation](/introduction/install) - Install pystark on your device.
- [Boilerplate](/start/boilerplate) - Generate a boilerplate.
- [Mandatory Variables](/start/variables) -  Set up the needed variables for bot.
- [Customization](/topics/customization) - Easily customize your bot.
- [Project Settings](/topics/settings) - Project settings.
- [Creating Plugins](/topics/plugins) - Code your own plugins
- [Run Bot](/start/running-bot) - Run your bot locally.
- [Using Databases](/databases/index) - Use various databases with PyStark.
- [Bot Menu](/topics/bot-menu) -  Set Bot Menu using PyStark.
- [PyStark Helpers Package](/helpers/index) - Put-of-the-box usable helpers.
- [Class Stark](/classes/stark) -  The main pystark class Stark which serves as a client.
- [Class Message](/classes/message) -  The added methods to any message.
- [Decorators](/decorators) - All available decorators in pystark.
- [Command Decorator](/decorators/command) - The main decorator in pystark.
- [Callback Decorator](/decorators/callback) - Handle callback queries.
- [Inline Decorator](/decorators/inline) - Handle inline queries.
- [Admins Decorator](/decorators/admins) - Handle inline queries.
- [Querying Postgres Database](/databases/postgres) - Use postgres with PyStark.
- [Telegram as a Database](/databases/telegram-as-database) - Use Telegram as a Database with PyStark.
- [TinyDB](/databases/tinydb) - Use TinyDB as project database with PyStark.


## Easy mantra to use this documentation

Just tap on ``Next`` button below every page, keep reading while following the steps whenever necessary. That's it.


## Meta

- [PyStark FAQs](/meta/faqs) - Answer to common PyStark questions.
- [ChangeLog](/meta/changelog) - ChangeLog for PyStark releases.
